Page MenuHomePhabricator

[M68k][GlobalISel] Legalize more instruction in M68k Legalizer.
ClosedPublic

Authored by 0x59616e on Jan 13 2022, 5:14 PM.

Details

Summary

This patch legalizes more instructions and data types.

Diff Detail

Event Timeline

0x59616e created this revision.Jan 13 2022, 5:14 PM
0x59616e requested review of this revision.Jan 13 2022, 5:14 PM
Herald added a project: Restricted Project. · View Herald TranscriptJan 13 2022, 5:14 PM
0x59616e edited the summary of this revision. (Show Details)Jan 13 2022, 10:36 PM
0x59616e added a reviewer: sushmaunnibhavi.

Should still add some dedicated tests for the non-load/store operations here

0x59616e updated this revision to Diff 401113.EditedJan 18 2022, 11:45 PM

Address the issue pointed out by @arsenm. Thanks !

This diff adds tests for add / sub / mul / udiv / and / load / store.

Note: No test for big number ( > i32). I prefer to address this in D116931

0x59616e updated this revision to Diff 401587.Jan 20 2022, 4:05 AM
0x59616e edited the summary of this revision. (Show Details)

update diff.

I accidentally deleted clampScalar in the last diff. This diff adds it back.

myhsu added a comment.Jan 28 2022, 5:01 AM

Apologize for the delay.
LGTM on most of the parts, can you add -verify-machineinstrs in the test files' commands?

0x59616e updated this revision to Diff 403985.Jan 28 2022, 5:51 AM

Address feedback from @myhsu. Thanks !

arsenm accepted this revision.Jan 28 2022, 7:58 AM
This revision is now accepted and ready to land.Jan 28 2022, 7:58 AM
0x59616e added a comment.EditedJan 28 2022, 5:27 PM

Thanks @arsenm @myhsu for reviewing this patch !

Since I don't have commit access, could anyone commit this patch on behalf of me ?

This revision was landed with ongoing or failed builds.Jan 28 2022, 6:02 PM
This revision was automatically updated to reflect the committed changes.